apiVersion: external-secrets.io/v1beta1
kind: SecretStore
metadata:
  name: my-secret-store
spec:
  provider:
    oracle:
      # May be UserPrincipal, InstancePrincipal, or Workload
      principalType: <Principal Type>
